io.vertx.ext.auth.sqlclient

## Class SqlAuthorizationOptions

- java.lang.Object
- - io.vertx.ext.auth.sqlclient.SqlAuthorizationOptions

-     public class SqlAuthorizationOptions
      extends Object

  Options configuring JDBC authentication.
  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqlAuthorizationOptions()`
    `SqlAuthorizationOptions(JsonObject json)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPermissionsQuery()`
    `String` | `getRolesQuery()`
    `SqlAuthorizationOptions` | `setPermissionsQuery(String permissionsQuery)` Set the permissions query to use.
    `SqlAuthorizationOptions` | `setRolesQuery(String rolesQuery)` Set the roles query to use.
    `JsonObject` | `toJson()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlAuthorizationOptions

          public SqlAuthorizationOptions()

    - #### SqlAuthorizationOptions

          public SqlAuthorizationOptions(JsonObject json)

  - ### Method Detail

    - #### getRolesQuery

          public String getRolesQuery()

    - #### setRolesQuery

          public SqlAuthorizationOptions setRolesQuery(String rolesQuery)

      Set the roles query to use. Use this if you want to override the default roles query.
      Parameters:
        `rolesQuery` - the roles query
      Returns:
        a reference to this, so the API can be used fluently

    - #### getPermissionsQuery

          public String getPermissionsQuery()

    - #### setPermissionsQuery

          public SqlAuthorizationOptions setPermissionsQuery(String permissionsQuery)

      Set the permissions query to use. Use this if you want to override the default permissions query.
      Parameters:
        `permissionsQuery` - the permissions query
      Returns:
        a reference to this, so the API can be used fluently

    - #### toJson

          public JsonObject toJson()

Copyright © 2022 Eclipse. All rights reserved.